import 'package:fis_jsonrpc/rpc.dart';
import 'package:vnoteapp/managers/interfaces/base.dart';

/// 标签管理
abstract class ILabelManager implements IManager {
  /// 根据Key获取标签集合
  Future<List<LabelDTO>?> getLabelListByKey(String key);

  /// 获取一般人群标签集合
  Future<List<LabelDTO>> getNormalCrowdLabels();

  /// 获取疾病人群标签集合
  Future<List<LabelDTO>> getDiseaseCrowdLabels();

  /// 获取特殊照顾人群标签集合
  Future<List<LabelDTO>> getSpecialCareCrowdLabels();
}
